Skip to content
中文

POST /riffusion/generate

Method: POSTEndpoint: /riffusion/generate

Whether it is instrumental only, without vocals

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
model
enum<string>
  // provider-specific example normalized for English documentation
Required
Enum Values:
FUZZ-1.0
FUZZ-1.1
FUZZ-1.0 Pro
FUZZ-1.1 Pro
lyrics
string
  // provider-specific example normalized for English documentation
Required
tag
string
  // provider-specific example normalized for English documentation
Required
title
string
  // provider-specific example normalized for English documentation
Required
instrumental
boolean
Optional
Whether it is instrumental only, without vocals
Default Value:
false
morph
object
Optional
  // provider-specific example normalized for English documentation
riff_id
string
Optional
  // provider-specific example normalized for English documentation
audio_upload_id
string
Optional
  // provider-specific example normalized for English documentation
transform
enum<string>
  // provider-specific example normalized for English documentation
Optional
Enum Values:
cover
extend
inpaint
swap_vocals
swap_sound
normalized_lyrics_strength
number
Optional
  // provider-specific example normalized for English documentation
>= 0
<= 1
normalized_sound_prompt_strength
number
Optional
  // provider-specific example normalized for English documentation
>= 0
<= 1
normalized_weirdness
number
Optional
  // provider-specific example normalized for English documentation
>= 0
<= 1
normalized_cover_strength
number
Optional
  // provider-specific example normalized for English documentation
>= 0
<= 1
normalized_variation_strength
number
|
null
Optional
  // provider-specific example normalized for English documentation
>= 0
<= 1
crop_end_at
number
Optional
  // provider-specific example normalized for English documentation
replace_start_at
number
Optional
  // provider-specific example normalized for English documentation
replace_end_at
number
Optional
  // provider-specific example normalized for English documentation
duration
number
  // provider-specific example normalized for English documentation
Optional
Default Value:
0
Example
{
"model"
:
"FUZZ-1.0"
,
"lyrics"
:
"string"
,
"tag"
:
"string"
,
"title"
:
"string"
,
"instrumental"
:
false
,
"morph"
:
{
"riff_id"
:
"string"
,
"audio_upload_id"
:
"string"
,
"transform"
:
"cover"
,
"normalized_lyrics_strength"
:
0
,
"normalized_sound_prompt_strength"
:
0
,
"normalized_weirdness"
:
0
,
"normalized_cover_strength"
:
0
,
"normalized_variation_strength"
:
0
,
"crop_end_at"
:
0
,
"replace_start_at"
:
0
,
"replace_end_at"
:
0
,
"duration"
:
0
}
}

Example Request

Shell

bash
curl --location --request POST '/riffusion/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "FUZZ-1.0",
    "lyrics": "string",
    "tag": "string",
    "title": "string",
    "instrumental": false,
    "morph": {
        "riff_id": "string",
        "audio_upload_id": "string",
        "transform": "cover",
        "normalized_lyrics_strength": 0,
        "normalized_sound_prompt_strength": 0,
        "normalized_weirdness": 0,
        "normalized_cover_strength": 0,
        "normalized_variation_strength": 0,
        "crop_end_at": 0,
        "replace_start_at": 0,
        "replace_end_at": 0,
        "duration": 0
    }
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
jobs
array
[object]
Required
id
string
Required

Example

json
{
  "jobs": [
    {
      "id": "989aff28-4df4-48d9-8ea3-92b746b4b765"
    },
    {
      "id": "322ebfd9-fefe-4728-a47a-c5825d7f0c2e"
    }
  ]
}